#pragma once
#include "lasp_daq.h"

std::unique_ptr<Daq> createUlDaqDevice(const DeviceInfo& devinfo,
        const DaqConfiguration& config);

/**
 * @brief Fill device info list with UlDaq specific devices, if any.
 *
 * @param devinfolist Info list to append to
 */
void fillUlDaqDeviceInfo(std::vector<DeviceInfo> &devinfolist);


